AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.6

### - s -

- send() : AMPS::Client
- setAckBatchSize() : AMPS::Client
- setAckTimeout() : AMPS::Client
- setAckType() : AMPS::Command , AMPS::Message
- setAckTypeEnum() : AMPS::Message
- setAutoAck() : AMPS::Client
- setBatchSize() : AMPS::Command , AMPS::Message
- setBlockHeaderSize() : AMPS::BlockStore
- setBlockSize() : AMPS::BlockStore
- setBookmark() : AMPS::Command , AMPS::Message
- setBookmarkNotFound() : AMPS::Message::Options
- setBookmarkNotFoundEpoch() : AMPS::Message::Options
- setBookmarkNotFoundFail() : AMPS::Message::Options
- setBookmarkNotFoundNow() : AMPS::Message::Options
- setBookmarkStore() : AMPS::Client
- setCancel() : AMPS::Message::Options
- setClientName() : AMPS::Message
- setCommand() : AMPS::Message
- setCommandEnum() : AMPS::Message
- setCommandId() : AMPS::Command , AMPS::Message
- setConflation() : AMPS::Message::Options
- setConflationKey() : AMPS::Message::Options
- setCorrelationId() : AMPS::Command , AMPS::Message
- setData() : AMPS::Command , AMPS::Message
- setDefaultMaxDepth() : AMPS::Client
- setDefaultResubscriptionTimeout() : AMPS::MemorySubscriptionManager
- setDisconnectHandler() : AMPS::Client , AMPS::HAClient
- setDuplicateMessageHandler() : AMPS::Client
- setEndOfUsedList() : AMPS::BlockStore
- setErrorOnPublishGap() : AMPS::Store
- setExceptionListener() : AMPS::Client , AMPS::SOWRecoveryPointAdapter
- setExpiration() : AMPS::Command , AMPS::Message
- setFailedResubscribeHandler() : AMPS::SubscriptionManager
- setFailedWriteHandler() : AMPS::Client
- setFilter() : AMPS::Command , AMPS::Message
- setFreeList() : AMPS::BlockStore
- setFullyDurable() : AMPS::Message::Options
- setGlobalCommandTypeMessageHandler() : AMPS::Client
- setGrouping() : AMPS::Message::Options
- setGroupSequenceNumber() : AMPS::Message
- setHeartbeat() : AMPS::Client , AMPS::Message
- setHttpPreflightHeaders() : AMPS::Client
- setImplementation() : AMPS::BookmarkStore
- setLastChanceMessageHandler() : AMPS::Client
- setLeasePeriod() : AMPS::Message
- setLive() : AMPS::Message::Options
- setLogonCorrelationData() : AMPS::Client
- setLogonOptions() : AMPS::HAClient
- setLowWatermark() : AMPS::HybridPublishStore
- setMatches() : AMPS::Message
- setMaxBacklog() : AMPS::Message::Options
- setMaxSubIdLength() : AMPS::BookmarkStore , AMPS::BookmarkStoreImpl
- setMessageLength() : AMPS::Message
- setMessageType() : AMPS::Message
- setName() : AMPS::Client
- setNoEmpties() : AMPS::Message::Options
- setNone() : AMPS::Message::Options
- setNoSowKey() : AMPS::Message::Options
- setOOF() : AMPS::Message::Options
- setOptions() : AMPS::Command , AMPS::Message
- setOrderBy() : AMPS::Command , AMPS::Message
- setPassword() : AMPS::Message
- setPause() : AMPS::Message::Options
- setPosition() : AMPS::Buffer , AMPS::MemoryStoreBuffer
- setProjection() : AMPS::Message::Options
- setPublishBatching() : AMPS::Client
- setPublishStore() : AMPS::Client
- setQueryId() : AMPS::Command
- setQueryID() : AMPS::Message
- setQueryId() : AMPS::Message
- setRate() : AMPS::Message::Options
- setRateMaxGap() : AMPS::Message::Options
- setReason() : AMPS::Message
- setReconnectDelay() : AMPS::HAClient
- setReconnectDelayStrategy() : AMPS::HAClient
- setRecordsInserted() : AMPS::Message
- setRecordsReturned() : AMPS::Message
- setRecordsUpdated() : AMPS::Message
- setReplace() : AMPS::Message::Options
- setResizeHandler() : AMPS::BlockStore , AMPS::BookmarkStore , AMPS::BookmarkStoreImpl , AMPS::HybridPublishStore , AMPS::Store , AMPS::StoreImpl
- setResubscriptionTimeout() : AMPS::MemorySubscriptionManager
- setResume() : AMPS::Message::Options
- setRetryOnDisconnect() : AMPS::Client
- setSendKeys() : AMPS::Message::Options
- setSequence() : AMPS::Command , AMPS::Message
- setServerChooser() : AMPS::HAClient
- setServerVersion() : AMPS::BookmarkStore , AMPS::BookmarkStoreImpl , AMPS::LoggedBookmarkStore , AMPS::MemoryBookmarkStore , AMPS::MMapBookmarkStore
- setSize() : AMPS::Buffer , AMPS::MemoryStoreBuffer , AMPS::MMapStoreBuffer
- setSkipN() : AMPS::Message::Options
- setSowDelete() : AMPS::Message
- setSowKey() : AMPS::Command , AMPS::Message
- setSowKeys() : AMPS::Command , AMPS::Message
- setStatus() : AMPS::Message
- setSubId() : AMPS::Command , AMPS::Message
- setSubscriptionId() : AMPS::Message
- setSubscriptionIds() : AMPS::Message
- setSubscriptionManager() : AMPS::Client
- setThreadCreatedCallback() : AMPS::Client
- setTimeout() : AMPS::Command , AMPS::HAClient
- setTimeoutInterval() : AMPS::Message
- setTimestamp() : AMPS::Message::Options , AMPS::Message
- setTopic() : AMPS::Command , AMPS::Message
- setTopicMatches() : AMPS::Message
- setTopN() : AMPS::Command , AMPS::Message::Options
- setTopNRecordsReturned() : AMPS::Message
- setTransportFilterFunction() : AMPS::Client
- setUnhandledMessageHandler() : AMPS::Client
- setUsedList() : AMPS::BlockStore
- setUserId() : AMPS::Message
- setVersion() : AMPS::Message
- signalAll() : AMPS::BlockStore
- size() : AMPS::CompositeMessageParser
- sow() : AMPS::Client
- sowAndDeltaSubscribe() : AMPS::Client
- sowAndSubscribe() : AMPS::Client
- sowDelete() : AMPS::Client
- sowDeleteByData() : AMPS::Client
- sowDeleteByKeys() : AMPS::Client
- SOWRecoveryPointAdapter() : AMPS::SOWRecoveryPointAdapter
- startTimer() : AMPS::Client
- stopTimer() : AMPS::Client
- store() : AMPS::BlockPublishStore , AMPS::HybridPublishStore , AMPS::Store , AMPS::StoreImpl
- StoreImpl() : AMPS::StoreImpl
- stringCopy() : AMPS::Field
- subscribe() : AMPS::Client , AMPS::MemorySubscriptionManager , AMPS::SubscriptionManager
- sync() : AMPS::PublishStore